Update EHR_STATUS

Updates EHR_STATUS associated with the EHR identified by ehr_id.

The existing latest version_uid of EHR_STATUS resource (i.e. the preceding_version_uid) must be specified in the If-Match header.

The response will contain the updated EHR_STATUS resource when the Prefer header has a value of return=representation.

Path Parameters
  • ehr_id
    Type: string
    required

    EHR identifier taken from EHR.ehr_id.value.

Headers
  • If-Match
    Type: string
    required

    Header to make the request conditional. Together with ETag request tag, it helps to prevent simultaneous updates of a resource from overwriting each other ("mid-air collisions"). The format is always an version_uid identifier enclosed by double quotes. The operation will be performed only if the existing latest version_uid of the resource (i.e. the preceding_version_uid) matches this header's value.

  • Prefer
    Type: stringenum

    Request header to indicate the preference over response details. The response will contain the entire resource when the Prefer header has a value of return=representation.

    values
    • return=representation
    • return=minimal
Body
required
application/json

The new EHR_STATUS.

An EHR_STATUS resource

  • archetype_node_id
    Type: string
    required
  • is_modifiable
    Type: boolean
    required
  • is_queryable
    Type: boolean
    required
  • name
    required
    • _type
      Discriminator
      enum
      const:  
      DV_TEXT
      required
      values
      • DV_TEXT
    • value
      Type: string
      required
    • encoding
      Type: object · CODE_PHRASE
    • formatting
      Type: string
    • hyperlink
    • language
      Type: object · CODE_PHRASE
    • mappings
      Type: array object[] · TERM_MAPPING[]
  • subject
    required
    • _type
      Discriminator
      enum
      const:  
      PARTY_SELF
      required
      values
      • PARTY_SELF
    • external_ref
      Type: object · PARTY_REF

      Identifier for parties in a demographic or identity service.

  • _type
    Type: string
  • archetype_details
    Type: object · ARCHETYPED
  • feeder_audit
    Type: object · FEEDER_AUDIT
  • Type: array object[] · LINK[]
  • other_details
    • _type
      Discriminator
      Type: string
    • archetype_node_id
      Type: string
      required
    • item
      Type: object · ELEMENT
      required
    • name
      required
    • archetype_details
      Type: object · ARCHETYPED
    • feeder_audit
      Type: object · FEEDER_AUDIT
    • links
      Type: array object[] · LINK[]
    • uid
Responses
  • application/json
  • 400

    400 Bad Request is returned when the request URL or body (if provided) could not be parsed or has invalid content.

  • 404

    404 Not Found is returned when an EHR with ehr_id does not exist.

Request Example for put/ehr/{ehr_id}/ehr_status
curl https://cataniamc.prod.cadasto.com/openehr/v1/ehr/7d44b88c-4199-4bad-97dc-d78268e01398/ehr_status \
  --request PUT \
  --header 'If-Match: "6cb19121-4307-4648-9da0-d62e4d51f19b::cataniamc.prod.cadasto.com::1"' \
  --header 'Prefer: return=minimal' \
  --header 'Content-Type: application/json' \
  --data '{
  "archetype_node_id": "openEHR-EHR-EHR_STATUS.generic.v1",
  "name": {
    "value": "EHR status"
  },
  "subject": {
    "_type": "PARTY_SELF"
  },
  "is_queryable": true,
  "is_modifiable": true
}'
{
  "archetype_node_id": "openEHR-EHR-EHR_STATUS.generic.v1",
  "name": {
    "value": "EHR status"
  },
  "subject": {
    "_type": "PARTY_SELF"
  },
  "is_queryable": true,
  "is_modifiable": true
}